.user-profile {
    display: flex;
    flex-direction: column;
    gap: 8px;
    height: fit-content;
}

.user-profile__user-details {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.user-profile__subscriptions {
    display: flex;
    flex-direction: column;
    max-width: 310px;
    width: 100%;
}

.user-profile__subscribers {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(80px, 1fr));
    gap: 10px;
    margin: 8px 10px 8px 10px;
}

.user-profile__featured-channels {
    display: flex;
    flex-direction: column;
    max-height: 200px;
    overflow-y: auto;
}

.user-profile__featured-channels-group-header {
    display: flex;
    flex-direction: column;
    padding: 5px 5px 5px 7px;
    background: linear-gradient(to bottom, #f5f5f5, #e8e8e8);
    margin-bottom: 4px;
    border-top: 1px solid var(--rt-border-subtle);
    border-bottom: 1px solid var(--rt-border-subtle);
}

.user-profile__featured-channels-group-header:first-child {
    border-top: none;
}


.user-profile__featured-channel-items .avatar {
    width: 36px;
    height: 36px;
}

.user-profile__featured-channel-items {
    display: flex;
    flex-direction: column;
    padding: 4px;
    margin: 0px 0px 3px 3px;
}

.user-profile__grid {
    display: grid;
    grid-template-columns: 310px 1fr;
    align-items: start;
    gap: 20px;
}

.user-profile__main {
    display: flex;
    flex-direction: row;
    gap: 15px;
    align-items: flex-start;
    width: 100%;
}

.user-profile__left {
    max-width: 310px;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.user-profile__right {
    flex: 1;
    display: flex;
    flex-direction: column;
    min-width: 0;
}

.user-profile.subscriber {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 90px;
    height: 75px;
}

.user-profile.subscriber--title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
    text-align: center;
    display: block;
}

@media (max-width: 960px) {
    .user-profile__main {
        flex-direction: column;
    }

    .user-profile__left,
    .user-profile__right {
        max-width: none !important;
        width: 100% !important;
        flex: none;
    }

    .user-profile__right {
        order: 2;
    }

    .user-profile__left {
        order: 1;
    }
}